0

Using Matrix v2.5.6 under EE v2.6.1 I'm getting the following message pop-up in the Developer Log:

Deprecated function set_human_time() called in system/expressionengine/third_party/matrix/celltypes/date.php on line 92.
Deprecated since 2.6. Use Localize::human_time instead.

Not sure what the quick fix is for this?

1

Don't worry about these deprecated function notices - I'm sure P&T are aware of it, and will remedy it in a future release, before EllisLab removes the deprecated from their codebase.

These particular changes (to the Localize class) are irritating for developers to fix while maintaining compatibility with EE 2.5.5 and lower - especially since they are for the most part simply re-named functions.

If you want to fix your local copy, simply do a find and replace on the Matrix codebase, changing set_human_time to human_time.

1
  • These can cause issues due to the poor implementation of the logging in EE. I had over a thousand SQL SELECT queries to developer log caused by these depreciated function warnings (not just Matrix, but Playa, Blueprints, Wygwam & old fieldpack). These warnings alone added up to a huge overhead in loading on the admin CP. So check your SQL output to ensure it's not a critical issue. – Peter Lewis Jul 22 '13 at 15:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.